Bug 1291935 - [RFE] support for Parametized Subnets
Summary: [RFE] support for Parametized Subnets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1454583
TreeView+ depends on / blocked
 
Reported: 2015-12-15 22:39 UTC by John Fulton
Modified: 2019-08-12 16:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 1464 0 None None None 2016-12-12 13:01:58 UTC
Foreman Issue Tracker 3582 0 None None None 2016-12-12 12:20:46 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description John Fulton 2015-12-15 22:39:10 UTC
My customer wants subnets to have parameters the same way that hosts in Satellite 6 have parameters. 

For example, in the Foreman GUI:

 Hosts > All hosts > $host > YAML  

Displays "classes" for Puppet as well as "parameters" and those parameters can be modified by using the GUI to navigate: 

 Hosts > All hosts > $host > Edit > Parameters > Host Parameters

He would like to be able to use the Satellite GUI similarly to navigate: 

 Infrastructure > Subnets > $subnet > Parameters 

Though the "parameters tab is missing from subnets edit view" (from his perspective and thus this RFE).  

His use-case is for the following to happen:

 If a host's primary interface is assigned to a subnet, then the physical location information from that subnet is inherited by that host. 

So he would use the new "subnet parameters" to store location information for that subnet and then any host would inherit that information. 

Because he doesn't yet have this feature, his workaound is to store the location information in every host (which already supports parameters).

Comment 1 John Fulton 2015-12-15 22:42:29 UTC
Is it possible for the host inheritance usecase described above to be addressed by what was proposed in the following upstream issue? 

 http://projects.theforeman.org/issues/1464

Comment 4 Bryan Kearney 2016-01-21 16:40:57 UTC
Connecting redmine issue http://projects.theforeman.org/issues/1464 from this bug

Comment 7 Bryan Kearney 2016-07-08 20:37:31 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 9 Bryan Kearney 2016-08-23 20:11:10 UTC
Upstream bug assigned to ohadlevy@redhat.com

Comment 10 Bryan Kearney 2016-08-23 20:11:13 UTC
Upstream bug component is WebUI

Comment 11 Tomer Brisker 2016-12-12 12:20:46 UTC
This has been resolved upstream in http://projects.theforeman.org/issues/3582 which is in Foreman 1.12. 
Moving to Post and aligning flags.

Comment 13 Jitendra Yejare 2017-11-28 10:59:33 UTC
Verified!

@ Satellite 6.3 All Snaps

This bug has been verified as a new Feature in Satellite 6.3

Following aspects of this Bug has been tested over the snaps from API, CLI and UI ends:
1. Subnet Parameter can be created, deleted, updated, read.
2. Subnet Parameters impacts on host

The numerous tests have been written to verify this bug and functionality.
API: https://github.com/SatelliteQE/robottelo/blob/master/tests/foreman/api/test_subnet.py#L40
CLI: https://github.com/SatelliteQE/robottelo/blob/master/tests/foreman/cli/test_subnet.py#L399
UI: https://github.com/SatelliteQE/robottelo/blob/master/tests/foreman/ui/test_subnet.py#L374

These tests has been tested manually/automation over 6.3 snaps

Also some bugs were raised and they are tracked for tracker:
https://bugzilla.redhat.com/show_bug.cgi?id=1493107

All the bugs in this trackers wrt this bug have been verified and fixed.

And hence changing the bug status to Verified.

Comment 16 errata-xmlrpc 2018-02-21 12:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.